echo off
REM  To assemble this book into a single file:
REM
REM   PC Users:
REM     1. UNZIP the archive into a new (empty) directory
REM     2. From within that directory, run this batch file (MAKEBOOK)
REM     3. The complete book will have the extension ".DOC"
REM
REM  Macintosh and other non-PC users:
REM     1. Use your word processor to copy and paste text from the
REM        separate files into a single file. The files should be
REM        merged in the following order:
REM             TITLE.TXT followed by the files as listed in
REM             the Table of Contents (CONTENTS.TXT).
REM

set bookname=leeauto.doc
if exist %bookname% goto quit
copy contents.txt+foreword.txt part0
copy part_1.txt+part_2.txt+part_3.txt+part_4.txt+part_5.txt part1
copy part_6.txt+part_7.txt+part_8.txt+part_9.txt part2
copy epilogue.txt+glossary.txt part3
copy part0+part1+part2+part3 %bookname%
echo [end] >> %bookname%

if exist %bookname% del *.txt
if exist %bookname% del part?

:quit
set bookname=
